> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadpipe.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search topics by name (autocomplete)



## OpenAPI

````yaml https://api.aws53.cloud/openapi-intent.json get /v1/intent/topics/search
openapi: 3.1.0
info:
  title: Orbit API
  version: 1.0.0
  description: >-
    Orbit Audience Intent API: topic discovery, site analysis, curated ICP
    filters, saved audiences, materialization runs, stats, and CSV export.
    Discovery endpoints are public; audience management accepts either Bearer
    JWT or X-API-Key auth.
servers:
  - url: https://api.aws53.cloud
    description: Production
security: []
tags:
  - name: Topic Discovery
    description: Browse, search, and analyze available intent topics
  - name: Site Analysis
    description: Analyze a website URL to find matching intent topics
  - name: Site Topics
    description: Recent organization site-topic analyses
  - name: Audience Builder
    description: >-
      Curated filters, preview, saved audiences, runs, stats, CSV export, and
      saved topic lists
paths:
  /v1/intent/topics/search:
    get:
      tags:
        - Topic Discovery
      summary: Search topics by name (autocomplete)
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 100
            example: data platform
          required: true
          name: q
          in: query
        - schema:
            type: string
            maxLength: 100
            example: Technology
          required: false
          name: industry
          in: query
        - schema:
            type: string
            enum:
              - b2b
              - b2c
              - both
          required: false
          name: type
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 50
            default: 10
          required: false
          name: limit
          in: query
      responses:
        '200':
          description: Matching topics
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TopicSearchResponse'
components:
  schemas:
    TopicSearchResponse:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              topicId:
                type: number
              topicName:
                type: string
              type:
                type: string
              industry:
                type: string
              category:
                type: string
            required:
              - topicId
              - topicName
              - type
              - industry
              - category
      required:
        - data

````